RsparseMatrix-class {Matrix} | R Documentation

## Class "RsparseMatrix" of Sparse Matrices in Column-compressed Form

### Description

The `"RsparseMatrix"` class is the virtual class of all sparse matrices coded in sorted compressed row-oriented form. Since it is a virtual class, no objects may be created from it. See `showClass("RsparseMatrix")` for its subclasses.

### Slots

`j`:

  Object of class `"integer"` of length `nnzero` (number of non-zero elements). These are the row numbers for each non-zero element in the matrix.

`p`:

  Object of class `"integer"` of pointers, one for each row, to the initial (zero-based) index of elements in the row.

`Dim`, `Dimnames`:

  inherited from the superclass, see `sparseMatrix`.

### Extends

Class `"sparseMatrix"`, directly. Class `"Matrix"`, by class `"sparseMatrix"`.

### Methods

Only few methods are defined currently on purpose, since we rather use the `CsparseMatrix` in Matrix. Recently, more methods were added but beware that these typically do not return `"RsparseMatrix"` results, but rather Csparse* or Tsparse* ones.

t

  `signature(x = "RsparseMatrix")`: ...

coerce

  `signature(from = "RsparseMatrix", to = "CsparseMatrix")`: ...

coerce

  `signature(from = "RsparseMatrix", to = "TsparseMatrix")`: ...

### See Also

its superclass, `sparseMatrix`, and, e.g., class `dgRMatrix` for the links to other classes.

### Examples

    showClass("RsparseMatrix")

[Package Matrix version 1.2-17 Index]